Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Interface PDFConfigurationConstants

    public interface PDFConfigurationConstants

Constants used for configuring PDF output.

Field Summary
`static java.lang.String` | `ENCRYPTION_LENGTH` PDF encryption length parameter: must be a multiple of 8 between 40 and 128, default value 40, datatype: int.
`static java.lang.String` | `ENCRYPTION_PARAMS` PDF encryption parameter: all parameters as object, datatype: PDFEncryptionParams
`static java.lang.String` | `KEY_DISABLE_SRGB_COLORSPACE` Rendering Options key for disabling the sRGB color space (only possible if no PDF/A or PDF/X profile is active).
`static java.lang.String` | `KEY_OUTPUT_PROFILE` Rendering Options key for the ICC profile for the output intent.
`static java.lang.String` | `NO_ACCESSCONTENT` PDF encryption parameter: Forbids extracting text and graphics, datatype: Boolean or "true"/"false"
`static java.lang.String` | `NO_ANNOTATIONS` PDF encryption parameter: Forbids annotations, datatype: Boolean or "true"/"false"
`static java.lang.String` | `NO_ASSEMBLEDOC` PDF encryption parameter: Forbids assembling document, datatype: Boolean or "true"/"false"
`static java.lang.String` | `NO_COPY_CONTENT` PDF encryption parameter: Forbids copying content, datatype: Boolean or "true"/"false"
`static java.lang.String` | `NO_EDIT_CONTENT` PDF encryption parameter: Forbids editing content, datatype: Boolean or "true"/"false"
`static java.lang.String` | `NO_FILLINFORMS` PDF encryption parameter: Forbids filling in existing interactive forms, datatype: Boolean or "true"/"false"
`static java.lang.String` | `NO_PRINT` PDF encryption parameter: Forbids printing, datatype: Boolean or "true"/"false"
`static java.lang.String` | `NO_PRINTHQ` PDF encryption parameter: Forbids printing to high quality, datatype: Boolean or "true"/"false"
`static java.lang.String` | `OWNER_PASSWORD` PDF encryption parameter: owner password, datatype: String
`static java.lang.String` | `PDF_A_MODE` Rendering Options key for the PDF/A mode.
`static java.lang.String` | `PDF_VERSION` PDF version entry: specify the version of the PDF document created, datatype: String
`static java.lang.String` | `PDF_X_MODE` Rendering Options key for the PDF/X mode.
`static java.lang.String` | `USER_PASSWORD` PDF encryption parameter: user password, datatype: String

Field Detail

### ENCRYPTION_PARAMS

    static final java.lang.String ENCRYPTION_PARAMS

  PDF encryption parameter: all parameters as object, datatype: PDFEncryptionParams

  See Also:
    Constant Field Values

### USER_PASSWORD

    static final java.lang.String USER_PASSWORD

  PDF encryption parameter: user password, datatype: String

  See Also:
    Constant Field Values

### OWNER_PASSWORD

    static final java.lang.String OWNER_PASSWORD

  PDF encryption parameter: owner password, datatype: String

  See Also:
    Constant Field Values

### NO_PRINT

    static final java.lang.String NO_PRINT

  PDF encryption parameter: Forbids printing, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### NO_COPY_CONTENT

    static final java.lang.String NO_COPY_CONTENT

  PDF encryption parameter: Forbids copying content, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### NO_EDIT_CONTENT

    static final java.lang.String NO_EDIT_CONTENT

  PDF encryption parameter: Forbids editing content, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### NO_ANNOTATIONS

    static final java.lang.String NO_ANNOTATIONS

  PDF encryption parameter: Forbids annotations, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### NO_FILLINFORMS

    static final java.lang.String NO_FILLINFORMS

  PDF encryption parameter: Forbids filling in existing interactive forms, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### NO_ACCESSCONTENT

    static final java.lang.String NO_ACCESSCONTENT

  PDF encryption parameter: Forbids extracting text and graphics, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### NO_ASSEMBLEDOC

    static final java.lang.String NO_ASSEMBLEDOC

  PDF encryption parameter: Forbids assembling document, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### NO_PRINTHQ

    static final java.lang.String NO_PRINTHQ

  PDF encryption parameter: Forbids printing to high quality, datatype: Boolean or "true"/"false"

  See Also:
    Constant Field Values

### ENCRYPTION_LENGTH

    static final java.lang.String ENCRYPTION_LENGTH

  PDF encryption length parameter: must be a multiple of 8 between 40 and 128, default value 40, datatype: int.

  See Also:
    Constant Field Values

### PDF_A_MODE

    static final java.lang.String PDF_A_MODE

  Rendering Options key for the PDF/A mode.

  See Also:
    Constant Field Values

### PDF_X_MODE

    static final java.lang.String PDF_X_MODE

  Rendering Options key for the PDF/X mode.

  See Also:
    Constant Field Values

### KEY_OUTPUT_PROFILE

    static final java.lang.String KEY_OUTPUT_PROFILE

  Rendering Options key for the ICC profile for the output intent.

  See Also:
    Constant Field Values

### PDF_VERSION

    static final java.lang.String PDF_VERSION

  PDF version entry: specify the version of the PDF document created, datatype: String

  See Also:
    Constant Field Values

### KEY_DISABLE_SRGB_COLORSPACE

    static final java.lang.String KEY_DISABLE_SRGB_COLORSPACE

  Rendering Options key for disabling the sRGB color space (only possible if no PDF/A or PDF/X profile is active).

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.